Package org.apache.tools.zip

# Interface CentralDirectoryParsingZipExtraField

All Superinterfaces:
  `ZipExtraField`

All Known Implementing Classes:
  `UnparseableExtraFieldData`, `UnrecognizedExtraField`, `Zip64ExtendedInformationExtraField`

public interface CentralDirectoryParsingZipExtraField extends ZipExtraField
`ZipExtraField` that knows how to parse central directory data.

Since:
  Ant 1.8.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `parseFromCentralDirectoryData(byte[] data, int offset, int length)`
  Populate data from this array as if it was in central directory data.

  ### Methods inherited from interface org.apache.tools.zip.ZipExtraField

  `getCentralDirectoryData, getCentralDirectoryLength, getHeaderId, getLocalFileDataData, getLocalFileDataLength, parseFromLocalFileData`

- ## Method Details

  - ### parseFromCentralDirectoryData

    void parseFromCentralDirectoryData(byte[] data, int offset, int length) throws ZipException
    Populate data from this array as if it was in central directory data.
    Parameters:
      `data` - an array of bytes
      `offset` - the start offset
      `length` - the number of bytes in the array from offset
    Throws:
      `ZipException` - on error